summaryrefslogtreecommitdiffstats
path: root/bifrost/scripts/destroy-env.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-09-01 14:46:51 +0200
committerTrevor Bramwell <tbramwell@linuxfoundation.org>2017-08-11 12:56:12 -0700
commit2a6bceea6c50d15b4739fe273101d5d8689e0b6a (patch)
tree299efd5949b955470f58cf7abde0e15ba21a4311 /bifrost/scripts/destroy-env.sh
parentb2e18e76e5c47b6e099d471fe05624f0b64d226a (diff)
infra: Fix small doc/script issues and enable mail notification
This change - Fixes readme of puppet-infracloud - renames destroy_env.sh script - enables mail notification - disables removal of DIB images by default Change-Id: I628b26b976e38772cbbc69b737a545fe801639ba Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'bifrost/scripts/destroy-env.sh')
-rwxr-xr-xbifrost/scripts/destroy-env.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/bifrost/scripts/destroy-env.sh b/bifrost/scripts/destroy-env.sh
new file mode 100755
index 00000000..4dffee62
--- /dev/null
+++ b/bifrost/scripts/destroy-env.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 RedHat and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+virsh destroy jumphost.opnfvlocal || true
+virsh destroy controller00.opnfvlocal || true
+virsh destroy compute00.opnfvlocal || true
+virsh undefine jumphost.opnfvlocal || true
+virsh undefine controller00.opnfvlocal || true
+virsh undefine compute00.opnfvlocal || true
+
+service ironic-conductor stop
+
+echo "removing from database"
+mysql -u root ironic --execute "truncate table ports;"
+mysql -u root ironic --execute "delete from node_tags;"
+mysql -u root ironic --execute "delete from nodes;"
+mysql -u root ironic --execute "delete from conductors;"
+echo "removing leases"
+> /var/lib/dnsmasq/dnsmasq.leases
+echo "removing logs"
+rm -rf /var/log/libvirt/baremetal_logs/*.log
+
+# clean up dib images only if requested explicitly
+if [ $CLEAN_DIB_IMAGES = "true" ]; then
+ rm -rf /httpboot/*
+ rm -rf /tftpboot/*
+fi
+
+# remove VM disk images
+rm -rf /var/lib/libvirt/images/*.qcow2
+
+echo "restarting services"
+service libvirtd restart
+service ironic-api restart
+service ironic-conductor start
+service ironic-inspector restart